List ports in a fleet in NetApp Console local deployment
GET /organizations/{organization_id}/fleets/{fleet_id}/ports
Lists all ports in the specified fleet.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Identifier for an organization. |
fleet_id |
string |
path |
True |
Identifier for a fleet. |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
filter |
string |
query |
False |
Specifies which fields should be matched in order to return a resource when listing a collection. Supported operators:
URL example: "filter=field%20eq%20%27value%27" OpenAPI examples: "field eq 'value'" |
include |
string |
query |
False |
Specifies which fields should be returned when listing a collection. URL examples: "include=id", "include=id,name" OpenAPI examples: "id" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
metadata |
string |
query |
False |
Indicates if the metadata should be returned in the response object. URL examples: "metadata=true" OpenAPI examples: "true" |
orderBy |
string |
query |
False |
Indicates the sort order of resources when listing a collection. URL examples: "orderBy=name", "orderBy=name%20desc" OpenAPI examples: "name desc" |
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
Response
Status: 200, OK
| Name | Type | Required | Description |
|---|---|---|---|
count |
integer |
False |
Total number of ports in the collection that match the query. |
items |
array[port_1.0_get_response_body] |
True |
Ports in the collection. |
Example response
{
"count": 2,
"items": [
{
"cluster": {
"id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
"name": "cluster-01"
},
"id": "c08d213b-3c38-4c07-bde0-852ef821b815",
"metadata": {
"modificationTimestamp": "2026-06-10T14:32:48.789123Z"
},
"metrics": {
"throughput": {
"total": 125000000
},
"utilization": 45.2
},
"name": "e0a",
"node": {
"id": "5e57a329-1137-42d1-adb8-00361552c2d6",
"name": "node-01"
},
"organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
"portType": "NETWORK_PORT",
"speed": 25000,
"type": "application/vnd.netapp.bxp.port",
"version": "1.0",
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
},
{
"cluster": {
"id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
"name": "cluster-01"
},
"id": "7a2f9d3b-1e4c-4a8f-b5c6-2d8e9f1a0b3c",
"metadata": {
"modificationTimestamp": "2026-06-10T14:32:48.789123Z"
},
"metrics": {
"throughput": {
"total": 200000000
},
"utilization": 62.5
},
"name": "0a",
"node": {
"id": "5e57a329-1137-42d1-adb8-00361552c2d6",
"name": "node-01"
},
"organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
"portType": "FC_PORT",
"speed": 32000,
"type": "application/vnd.netapp.bxp.port",
"version": "1.0",
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
cluster_1.0_reference
Reference to an ONTAP cluster.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the cluster. |
name |
string |
False |
Cluster name. |
common_1.0_inventory_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
modificationTimestamp |
string |
False |
Resource modification date. |
throughput
Throughput metrics observed at the port.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of throughput observed at the port in bytes per second. |
port_1.0_metrics
| Name | Type | Required | Description |
|---|---|---|---|
throughput |
False |
Throughput metrics observed at the port. |
|
utilization |
number |
False |
Port utilization as a percentage (0-100). Calculated from throughput relative to link speed. |
node_1.0_reference
Reference to an ONTAP node.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the node. |
name |
string |
False |
Node name. |
port_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
cluster |
False |
Reference to an ONTAP cluster.
|
|
id |
string |
False |
Identifier of the port (UUID from ONTAP).
|
metadata |
False |
Metadata associated with the resource. |
|
metrics |
False |
||
name |
string |
False |
Port name (e.g., e0a, 0a). |
node |
False |
Reference to an ONTAP node.
|
|
organizationId |
string |
False |
Identifier for an organization. |
portType |
string |
False |
Type of the network port. Defined values are:
|
speed |
integer |
False |
Operational speed of the port in megabits per second (Mbps). For Ethernet ports this is the operational speed. For FC ports this is the maximum speed. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource. Defined values are:
|
workingEnvironmentId |
string |
False |
Identifier for the asset's system. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |